function return_data = clf_plate_plate(f,connection,subsystem_values)
%

numss = length(subsystem_values);
w = 2*pi*f;
L = connection.values.length;
cg(1:numss) = struct('b',[],'l',[],'s',[]);
S(1:numss) = NaN;
clf(1:numss,1:numss,1:3) = struct('b',[],'l',[],'s',[]);
for ii = 1:numss
    cg(ii).b = 2*subsystem_values(ii).c.b;
    cg(ii).l = subsystem_values(ii).c.l;
    cg(ii).s = subsystem_values(ii).c.s;
    S(ii) = subsystem_values(ii).dim(1)*subsystem_values(ii).dim(2);
end
for wavetype = 1:3
    for from = 1:numss
        for to = 1:numss
            switch wavetype
                case 1
                    clf(from,to,wavetype).b = (L*connection.tau(from,to,wavetype).b.*cg(from).b)./(pi*w*S(from));
                    clf(from,to,wavetype).l = (L*connection.tau(from,to,wavetype).l.*cg(from).b)./(pi*w*S(from));
                    clf(from,to,wavetype).s = (L*connection.tau(from,to,wavetype).s.*cg(from).b)./(pi*w*S(from));
                case 2
                    clf(from,to,wavetype).b = (L*connection.tau(from,to,wavetype).b.*cg(from).l)./(pi*w*S(from));
                    clf(from,to,wavetype).l = (L*connection.tau(from,to,wavetype).l.*cg(from).l)./(pi*w*S(from));
                    clf(from,to,wavetype).s = (L*connection.tau(from,to,wavetype).s.*cg(from).l)./(pi*w*S(from));
                case 3
                    clf(from,to,wavetype).b = (L*connection.tau(from,to,wavetype).b.*cg(from).s)./(pi*w*S(from));
                    clf(from,to,wavetype).l = (L*connection.tau(from,to,wavetype).l.*cg(from).s)./(pi*w*S(from));
                    clf(from,to,wavetype).s = (L*connection.tau(from,to,wavetype).s.*cg(from).s)./(pi*w*S(from));
            end
        end
    end
end
return_data = clf;
