% Function for adding new material (solid or fluid)
%
% Patrik Andersson 110428
clear solids fluids ii
cd ../data/
load physicalproperties

disp('*****************************************************************')
disp('     Fluids')
disp('*****************************************************************')
for ii=1:length(fluids.rho)
    disp([num2str(ii),'  ',char(fluids.name(ii)),' c=',num2str(fluids.c(ii)),'m/s vis=',num2str(fluids.vis(ii)),' rho=',num2str(fluids.rho(ii)),'kg/m^3'])
end
disp(' ')
disp('*****************************************************************')
disp('     Solids')
disp('*****************************************************************')
for ii=1:length(solids.Ey)
    disp([num2str(ii),'  ',char(solids.name(ii)),' E=',num2str(solids.Ey(ii)/1e6),'MPa mu=',num2str(solids.poi(ii)),' rho=',num2str(solids.rho(ii)),'kg/m^3'])
end
disp('*****************************************************************')


% Add a new material
if 1==2 % Solid
    ii=length(solids.Ey)+1;
    solids.name(ii)={'Concrete'};
    solids.Ey(ii)=36e9;
    solids.poi(ii)=0.25;
    solids.rho(ii)=2300;

    cd ../data/
    save physicalproperties solids fluids
end

% Add a new material
if 1==2 % Fluid
    ii=length(fluids.c)+1;
    fluids.name(ii)={'dummy'};
    fluids.c(ii)=100;
    fluids.rho(ii)=1000;
    fluids.vis(ii)=1e-7;

    cd ../data/
    save physicalproperties solids fluids
end
